Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Yol parametreleri
name
string
gerekli
The name of the memory store.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
İstek Gövdesi
scope
string
gerekli
The namespace that logically groups and isolates memories, such as a user ID.
content
string
gerekli
The content of the memory.
kind
string | enum
gerekli
Memory item kind.
enum
Yanıtlar
The request has succeeded.
Gövde
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
gerekli
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
gerekli
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
gerekli
The kind of the memory item.
İstek
POST /memory_stores/{name}/items HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json